
import random
import string
import re
import math
import time
import os
import sys

def generate_random_password(length=8):
    if not isinstance(length, int) or length < 4:
        raise ValueError("Password length must be an integer greater than 3.")
    characters = string.ascii_letters + string.digits + string.punctuation
    password = ''.join(random.choice(characters) for _ in range(length))
    return password

